import Processor from "./processor.js";
import type { Delta, Options } from "./types";
declare class DiffPatcher {
    processor: Processor;
    constructor(options?: Options);
    options(options: Options): Options;
    diff(left: unknown, right: unknown): Delta;
    patch(left: unknown, delta: Delta): unknown;
}
export default DiffPatcher;
