import DiffPatcher from "./diff-patcher";
import type { Delta, Options } from "./types";
import type { Context, DiffContext, PatchContext } from "./contexts";
export declare function create(options?: Options): DiffPatcher;
export declare function diff(left: unknown, right: unknown): Delta;
export declare function patch(left: unknown, delta: Delta): unknown;
export { DiffPatcher };
export type * from "./types";
export type { Context, DiffContext, PatchContext };
